VPS

Get backup settings

get/vps/{vps_id}/backup/settings

Retrieve automatic backup configuration for your server including schedule and retention settings.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

vps_id*integer
Range1 ≤ value

Responses

Successful Response

application/json

enabled*boolean
schedule_hour*integer

Hour of day to run backups (0-23)

Range0 ≤ value ≤ 23
retention_days*integer

Days to keep backups (max 7 days)

Range1 ≤ value ≤ 7
max_backups*integer

Maximum number of backups to keep

Range1 ≤ value ≤ 10
id?integer | null
vps_id*integer
created_at?string | null
Formatdate-time
updated_at?string | null
Formatdate-time